/* стили обёртки */
.csell {
    background: #fff;
    border-radius: 4px;
    overflow: hidden;
    margin: 0 auto;
    max-width: 375px;
}


/* обёртка чекбоксов */
.csell__options {
    margin: 0 35px 10px 25px;
}

.csell__option--inactive .csell__checkbox-text, .csell__option--inactive .csell__price, .csell__option--inactive .csell__checkbox-ico {
    opacity: .3;
}

.csell__option--inactive .csell__hint {
    color: #f93;
}

/* стоимость улучшения */
.csell__price {
    font: 700 15px/18px "source sans pro";
    position: absolute;
    right: 0;
    min-width: 70px;
    text-align: right;

}

.csell__price:after {
    content: attr(data-days);
    display: block;
    font: 300 12px/15px "source sans pro";
    color: #3bc406;
    text-align: right;
    margin: 2px 0 0 0;
    text-decoration: underline;
}

.csell__price:hover:after {
    color: #ff0000;
}

/* общая стоимость всех улучшений */
.csell__total {
    text-align: right;
    font: 18px/20px "source sans pro";
    margin: 0 0 20px 0;
}

.csell__total:after {
    content: attr(data-count);
    font-weight: 700;
}

/* изображения систем безопасности */
.csell__security {
    font: 0/0 a;
    text-align: center;
}

.csell__security-ico {
    display: inline-block;
    vertical-align: top;
    width: 80px;
    height: 45px;
    margin: 0 10px 0 0;
}

.csell__security-ico:last-child {
    margin-right: 0;
}

.csell__security-ico--pci {
    background: url(i2/compliance-pci-dss.png) no-repeat 50% 50% / cover;
}

.csell__security-ico--visa {
    background: url(i2/verified_by_visa.svg) no-repeat 50% 50% / 70px;
}

.csell__security-ico--master {
    background: url(i2/master_card_secure_cod.svg) no-repeat 50% 50% / 70px;
}


/* меняем текст на кнопке отправки формы */
.csell__submit:after {
    content: attr(data-default);
    font-size: 20px;
}

.csell[data-type="invoice"] .csell__submit:after {
    content: attr(data-invoice);
}

.csell--skip .csell__submit:after {
    content: attr(data-skip);
}


/* подсказки */
.csell__hint {
    font: 300 12px/15px "source sans pro";
    color: #555;
    margin: 2px 0 0 0;
}


/* стили чекбоксов */
.csell__checkbox-wrap {
    position: relative;
    display: block;
    padding: 0 65px 0 32px;
    cursor: pointer;
    margin: 0 0 16px 0;
}

.csell__checkbox {
    position: absolute;
    left: -9999px;
}

.csell__checkbox-ico {
    width: 20px;
    height: 20px;
    border: 1px solid #ccc;
    position: absolute;
    border-radius: 2px;
    left: 0;
    transition: background-color 250ms;
}

.csell__checkbox:checked + .csell__checkbox-ico {
    background: #ffeba0;
}

.csell__checkbox:checked + .csell__checkbox-ico:before {
    content: "";
    height: 2px;
    background: #000;
    position: absolute;
    top: 5px;
    left: 2px;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    animation: frame1 125ms linear 0s forwards;
    -webkit-transform-origin: left top;
    transform-origin: left top;
}

.csell__checkbox:checked + .csell__checkbox-ico:after {
    content: "";
    height: 2px;
    background: #000;
    position: absolute;
    top: 12px;
    left: 8px;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    animation: frame2 250ms ease 0s forwards;
    -webkit-transform-origin: left top;
    transform-origin: left top;
}


/* анимация чекбокса */
@keyframes frame1 {
    0% {
        width: 0;
    }
    50% {
        width: 0;
    }
    100% {
        width: 60%;
    }
}

@keyframes frame2 {
    0% {
        width: 0;
    }
    50% {
        width: 0;
    }
    100% {
        width: 110%;
    }
}

.csell__checkbox-text {
    font: 15px/18px "source sans pro";
}


/* стили футера */
.csell__footer {
    padding: 20px 35px 30px 35px;
    background: #f1f9ff;
}


/* кнопка размещения вакансии */
.csell__submit {
    background: #0099ff;
    cursor: pointer;
    border: 0;
    font: 600 20px/42px "source sans pro";
    color: #fff;
    padding: 0 20px;
    position: relative;
    width: 100%;
    border-radius: 4px;
    transition: background-color 250ms;
}

.csell__submit:before {
    content: "";
    background: url(i2/tick.svg) no-repeat 0 50% / 88%;
    width: 34px;
    height: 34px;
    margin: 0 9px 0 -5px;
    display: inline-block;
    vertical-align: top;
    position: relative;
    top: 2px;
}

.csell__submit {
    margin-bottom: 30px;
}


/* выбор способа оплаты */
.csell__payments {
    font: 0/0 a;
    margin: 0 35px 20px 25px;
    display: none
}

.csell--with-card .csell__payments {
    display: block;
}

.csell__payments-title {
    font: 700 16px/18px "source sans pro";
    margin: 0 0 12px 0;
}


.csell__pay {
    text-align: center;
    border: 1px solid #d5d5d5;
    border-radius: 8px;
    font: 400 16px/45px "sf pro display";
    height: 45px;
    padding: 0 16px 0 16px;
    display: inline-block;
    margin: 0 10px 10px 0;
    cursor: pointer;
}

.csell__pay--active {
    color: #0086FF;
    border-color: inherit;
}


.csell__hint--security {
    margin: 0 0 15px 0;
    font-size: 10px;
    text-align: center;
}

.csell__pay:last-child {
    margin-right: 0;
}


/* HOVER */
.csell__close:hover {
    opacity: 1;
}

.csell__submit:hover {
    background-color: #0090f4;
}

.csell__option--inactive:hover .csell__checkbox-wrap > .csell__checkbox-ico {
    background-color: #fff;
}

.csell__option--inactive:hover .csell__checkbox-wrap {
    cursor: default;
}

@media screen and (min-width: 501px) {
    .csell__checkbox-wrap:hover > .csell__checkbox-ico {
        background-color: #ffeba0;
    }


}


/* MOBILE */
@media screen and (max-width: 500px) {

    .html--mobile .csell__vr {
        max-width: 100%
    }

    .csell {
        max-width: 100%;
        margin: 0;
    }

    .csell__submit {
        line-height: 60px;
        font-size: 20px;
    }

    .csell__submit:before {
        background-size: 100%;
        height: 60px;
    }

    .csell__submit:after {
        font-size: 19px;
    }

    .csell--pay .csell__submit:after {
        font-size: 22px;
    }
}

@media screen and (max-width: 400px) {
    .csell__submit:after {
        font-size: 17px;
    }
}

@media screen and (max-width: 375px) {

    .csell__vr ._vr-contents {
        padding: 0;
    }

    .csell__options {
        margin: 0 20px 20px 20px;
    }

    .csell__payments {
        margin: 0 15px 20px 20px;
    }

    .csell__footer {
        padding: 20px 20px 30px 20px;
    }

    .csell__submit {
        font-size: 19px;
        padding: 0 15px;
    }
}


/****/
.cslegal {
    margin: 0 25px 25px 25px;
    display: none;
}

.csell[data-type="invoice"] .cslegal {
    display: block;
}

.cslegal__header {
    font: 700 16px/18px "source sans pro";
    margin: 0 0 15px 0;
}

.cslegal__field {
    display: flex;
    align-items: center;
    margin: 0 0 15px 0;
}

.cslegal__title {
    font: 15px/16px "source sans pro";
    width: 100px;
    flex-grow: 0;
    flex-shrink: 0;
    margin: 0 20px 0 0;
}

.cslegal__title--required:after {
    content: "*";
    position: absolute;
    font: 18px/16px "source sans pro";
    color: #ff0000;
    margin: 0 0 0 2px;
}

.cslegal__input {
    border: 1px solid #ccc;
    font: 15px/18px "source sans pro";
    height: 34px;
    border-radius: 3px;
    flex-grow: 1;
    padding: 0 8px;
}